package com.ruoyi.tuya.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 平台报价单明细对象 bus_supplier_release_day
 *
 * @author zf
 * @date 2022-07-22
 */
public class BusSupplierReleaseDay extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 路线编号 */
    @Excel(name = "路线编号")
    private String uuid;

    /** 时间 */
    @Excel(name = "时间")
    private String planDate;

    /** 内容 */
    @Excel(name = "内容")
    private String content;

    /** 时间 */
    @Excel(name = "时间")
    private String dateTime;

    /** 天数 */
    @Excel(name = "天数")
    private String dayNum;

    /** 报价单*/
    @Excel(name = "报价单")
    private String offerName;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setUuid(String uuid)
    {
        this.uuid = uuid;
    }

    public String getUuid()
    {
        return uuid;
    }
    public void setPlanDate(String planDate)
    {
        this.planDate = planDate;
    }

    public String getPlanDate()
    {
        return planDate;
    }
    public void setContent(String content)
    {
        this.content = content;
    }

    public String getContent()
    {
        return content;
    }
    public void setDateTime(String dateTime)
    {
        this.dateTime = dateTime;
    }

    public String getDateTime()
    {
        return dateTime;
    }
    public void setDayNum(String dayNum)
    {
        this.dayNum = dayNum;
    }

    public String getDayNum()
    {
        return dayNum;
    }

    public String getOfferName()
    {
        return offerName;
    }
    public void setOfferName(String offerName)
    {
        this.offerName = offerName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("uuid", getUuid())
            .append("planDate", getPlanDate())
            .append("content", getContent())
            .append("dateTime", getDateTime())
            .append("dayNum", getDayNum())
            .append("offerName", getOfferName())
            .toString();
    }
}
